Subject: RE: Subject: Comments: Draft-many-ical-ski -language

From: "Greg FitzPatrick" <[email-masked]>
Date: Thu, 4 Nov 1999 10:48:37 +0100

Yes - that is what we have always meant.  In SKiCal such a property would
sort under WHAT.  In iCal it either has to fitted in to SUMMARY with some
some sort of machine understandable delimitation - such as a property
parameter or added as a property.

In the first alternative there is some questions of ambiguity, since there
already exists a property parameter for the lang of the wording of the
summary.   Not impossible though;

We call these problems the telescoping problems, since there can evolve a
whole chain of  generations.  In Dublin Core the following problem can
arise.

a English description of a book written in French about the Italian
language.  Luckily calendars need not be so complicated:-)

Greg
  -----Original Message-----
  From: [email-masked] [mailto:[email-masked]]
  Sent: den 4 november 1999 04:31
  To: Greg FitzPatrick
  Subject: RE: Subject: Comments: Draft-many-ical-ski -language

  Greg:

    I want to double check something here.  Are you asking that besides the
LANG= propery parameter that describes the properties language, you want an
overall language indicator as well??

  Bruce

===========================================================================
  Bruce Kahn                                INet: [email-masked]
  Iris Associates                          Phone: 978.392.5335
  Westford, MA, USA 01886                    FAX: and nothing but the FAX...
  Standard disclaimers apply, even where prohibited by law...

  From:        [email-masked]
  Date:        10/19/99 09:34:37 AM ZE2
  Subject:        RE: Subject: Comments: Draft-many-ical-ski -language

  Confusion - yes our proposal defines a way to show the presentation
language
  for the event.  That is what we are talking about.  Why is  this property
  not included in 2445?  For  European companies with many languages being
  spoken within the firm, this is a valuable piece of information.

  Greg

  > -----Original Message-----
  > From: [email-masked] [mailto:[email-masked]]On
  > Behalf Of Doug Royer
  > Sent: den 15 oktober 1999 22:26
  > Cc: [email-masked]
  > Subject: Re: Subject: Comments: Draft-many-ical-ski -language
  >
  >
  >
  > RFC2445 is a MIME type - And I think that LANG exists in the MIME
header.
  > No need to add it to the object. Also, it is a parameter for TEXT value
  > types so individual properties have override the MIME lang.
  >
  > I thought that your proposal also defined a way to show
  > the presentation language of the event. X-SKI-EVENT-LANGUAGE - Correct?
  >
  > -Doug
  >
  >
  > greg fitzpatrick wrote:
  > >
  > > There is one property which has not been criticized in the
  > SKiCal draft and
  > > that is:
  > > LANGUAGE
  > >
  > > If 2445 has any ambition of being an international standard, we
  > must be able
  > > to convey in what language a meeting (note - i am restricting myself
to
  > > meetings) will be carried out.
  > >
  > > If their are no objections, then please add this property to RFC 2445.
  > >
  > > Greg